Skip to main content

UpdateVideoAnalysisConfig - Update Video Understanding configuration

Updates the Video Understanding configuration.

Usage notes

Alibaba Cloud Model Studio lightweight applications - Video Understanding - Update configuration: use this operation to modify the concurrency configuration for asynchronous tasks. Try it in the Video Understanding console. For SDK calls, see the examples under API in the console.

Try it out

You can call this operation in OpenAPI Explorer without calculating a signature. After a successful call, OpenAPI Explorer can automatically generate SDK code examples. Try it out

Authorization information

The following table describes the authorization information for this API operation. You can use this information in the Action element of a RAM policy statement to grant a RAM user or RAM role permission to call the operation. The columns are described as follows:
  • Action: a specific permission.
  • Access level: the access level of an action. Valid values: Write, Read, and List.
  • Resource type: the types of resources for which the action supports authorization:
    • Required resource types are marked with an asterisk (*).
    • Actions that do not support resource-level authorization use All resources.
  • Condition key: a condition key defined by the cloud service.
  • Dependent action: an additional permission required to perform the action. The caller must also have permission to perform the dependent action.
ActionAccess levelResource typeCondition keyDependent action
quanmiaolightapp:UpdateVideoAnalysisConfigupdate
*All resources
*
    None
None

Request syntax

PUT /{workspaceId}/quanmiao/lightapp/videoAnalysis/updateVideoAnalysisConfig HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample
workspaceIdstringYes

The unique Alibaba Cloud Model Studio workspace ID: Obtain workspaceId

llm-xxx
asyncConcurrencyintegerYes

The number of concurrent offline Video Understanding tasks. Valid range: [2, 30]

2

Response parameters

NameTypeDescriptionExample
object

Schema of Response

requestIdstring

Id of the request

5D0E915E-655D-59A8-894F-93873F73AAE5
codestring

The status code

xx
messagestring

The error description

ok
successboolean

Indicates whether the request succeeded: true indicates success, and false indicates failure

True
httpStatusCodeinteger

The HTTP status code

200

Examples

Sample success response JSON format
{
  "requestId": "5D0E915E-655D-59A8-894F-93873F73AAE5",
  "code": "xx",
  "message": "ok",
  "success": true,
  "httpStatusCode": 200
}

Error codes

For more error codes, see Error Center.